Package nl.tudelft.simulation.dsol.tutorial.section44

# Class Ball

java.lang.Object
nl.tudelft.simulation.dsol.tutorial.section44.Ball

All Implemented Interfaces:
  `Locatable`

Direct Known Subclasses:
  `ContinuousBall`, `DiscreteBall`

    public abstract class Ball
    extends Object
    implements Locatable

A Ball.

Copyright (c) 2002-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected DirectedPoint` | `destination` | the destination.
`protected DirectedPoint` | `origin` | the origin.
`static double` | `RADIUS` | the radius of the ball.
`protected double` | `rotZ` | the rotation.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Ball()` | constructs a new Ball.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Bounds` | `getBounds()`
`String` | `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface nl.tudelft.simulation.dsol.animation.Locatable

`getLocation`

## Field Details

### RADIUS

public static final double RADIUS
the radius of the ball.

See Also:
  Constant Field Values

### origin

protected DirectedPoint origin
the origin.

### destination

protected DirectedPoint destination
the destination.

### rotZ

protected double rotZ
the rotation.

## Constructor Details

### Ball

public Ball()
constructs a new Ball.

## Method Details

### getBounds

public Bounds getBounds()

Specified by:
  `getBounds` in interface `Locatable`

### toString

public String toString()

Overrides:
  `toString` in class `Object`